# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%define jbhomedir %{_datadir}/jbossas
%define jbossdir %{_localstatedir}/lib/jbossas

%define base_name jbossas

# Build specific macros
%define version_major 5
%define version_minor 1
%define version_revision 0

Name:           jbossas-security-policy-cc
Version:        %{version_major}.%{version_minor}.%{version_revision}
Release:        1%{?dist}
Epoch:          0
Summary:        The Java2 security policy for EAP5 with signed jars
License:        LGPL
Group:          Development/Java
URL:            http://www.jboss.org/
#wget https://jira.jboss.org/secure/attachment/12338375/cc.policy
#mv cc.policy jbossas-security-policy-cc.security_cc.policy
Source0:        jbossas-security-policy-cc.security_cc.policy

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch

Requires:       jbossas = %{version}

%description
The Java2 security policy for EAP5 with signed jars

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{jbossdir}/bin
install -p -m 644 %{SOURCE0} $RPM_BUILD_ROOT%{jbossdir}/bin/security_cc.policy

%clean
rm -rf $RPM_BUILD_ROOT

%pre
JBOSS_SHELL=/sbin/nologin
%{_sbindir}/groupadd -r jboss 2>/dev/null || :
%{_sbindir}/useradd -c JBossAS -r -s $JBOSS_SHELL -d %{jbhomedir} -g jboss jboss 2>/dev/null || :

%files
%defattr(0644,jboss,jboss,0755)
%{jbossdir}/bin/security_cc.policy

%changelog
* Tue Nov 02 2010 Permaine Cheung <pcheung@redhat.com> 0:5.1.0-1
- First release
